<?php

namespace App\Classes\Modules\Companies\Services;


use App\Classes\ValueObjects\Constants\OrderSteps;

class FetchCompanyOrderCategorySteps
{

    public function execute(string $category): array {
        switch ($category){
            case OrderSteps::COMPANY_PROCESSING_CATEGORY:
                return OrderSteps::COMPANY_ORDER_PROCESSING;
            case OrderSteps::COMPANY_SHIPPING_CATEGORY:
                return OrderSteps::COMPANY_ORDER_SHIPPING;
            case OrderSteps::COMPANY_RECEIVING_CATEGORY:
                return OrderSteps::COMPANY_ORDER_RECEIVING;
            default:
                return [];
        }
    }

}